Bug 892428 - [abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7993 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
Summary: [abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7993 brcms...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4604c0ea163599b4def79559f48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-07 05:41 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-02-16 01:21 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-26 16:01:15 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-01-07 05:41:24 UTC
Additional info:
WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7993 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
Hardware name: Vostro 3400
Modules linked in: fuse ebtable_nat xt_CHECKSUM ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast bridge stp llc lockd sunrpc ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo snd_page_alloc videobuf2_vmalloc videobuf2_memops videobuf2_core videodev snd_timer btusb bluetooth arc4 snd media vhost_net brcmsmac cordic brcmutil mac80211 soundcore cfg80211 tun rfkill macvtap macvlan coretemp kvm_intel iTCO_wdt r8169 mii kvm mei iTCO_vendor_support lpc_ich mfd_core bcma i2c_i801 intel_ips dell_laptop dell_wmi microcode dcdbas sparse_keymap uinput binfmt_misc nouveau mxm_wmi i2c_algo_bit drm_kms_helper ttm crc32c_intel drm ghash_clmulni_intel i2c_core wmi video
Pid: 93, comm: kworker/u:7 Not tainted 3.7.1-2.fc18.x86_64 #1
Call Trace:
 [<ffffffff8105e70f>] warn_slowpath_common+0x7f/0xc0
 [<ffffffff8105e76a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0398c99>] brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
 [<ffffffffa038b6bb>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
 [<ffffffffa0309a5d>] ieee80211_scan_work+0x34d/0x5e0 [mac80211]
 [<ffffffff8101358e>] ? __switch_to+0x13e/0x4a0
 [<ffffffff8107a557>] process_one_work+0x147/0x490
 [<ffffffffa0309710>] ? ieee80211_run_deferred_scan+0x90/0x90 [mac80211]
 [<ffffffff8107cdee>] worker_thread+0x15e/0x450
 [<ffffffff8107cc90>] ? busy_worker_rebind_fn+0x110/0x110
 [<ffffffff81081d50>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? ftrace_raw_event_xen_mmu_flush_tlb_others+0x50/0xe0
 [<ffffffff81081c90>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff8163d92c>] ret_from_fork+0x7c/0xb0
 [<ffffffff81081c90>] ? kthread_create_on_node+0x120/0x120

Potential duplicate: bug 861254

Comment 1 chrys87 2013-01-16 01:14:45 UTC
press super key for enter the gnome shell

Package: kernel
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)

Comment 2 Daniel Stone 2013-01-21 23:54:10 UTC
I had this problem before with self-built kernels, and it was fixed by roughly this range of commits: e041f65d5f00011049c7d6af0e31ce69ce9e2655..75be3e24eeedbc9ec5faf3483fe9b449abec94e8 I believe (or at least the rest of sforshee's tx-rework branch).  It's now in 3.8.x; might be an idea to get it into Fedora kernels as it massively improves reliability as well as improving overall performance, plus would close out an abrt error.

Comment 3 Fedora Update System 2013-01-23 20:07:21 UTC
kernel-3.7.4-204.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.7.4-204.fc18

Comment 4 Fedora Update System 2013-01-24 20:49:38 UTC
kernel-3.7.4-104.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.7.4-104.fc17

Comment 5 Fedora Update System 2013-01-24 22:39:36 UTC
Package kernel-3.7.4-204.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.7.4-204.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1443/kernel-3.7.4-204.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-01-26 16:01:19 UTC
kernel-3.7.4-204.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-01-29 16:09:05 UTC
kernel-3.7.5-101.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.7.5-101.fc17

Comment 8 Fedora Update System 2013-02-04 21:57:23 UTC
kernel-3.7.6-102.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.7.6-102.fc17

Comment 9 Fedora Update System 2013-02-16 01:21:06 UTC
kernel-3.7.6-102.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.